%define	TDSVER 7.0
%define	name freetds
%define	release alt1
%define	version 0.61

Name:		%name
Version:	%version
Release:	%release

Summary:	An OpenSource implementation of the tubular data stream protocol. 
License:	GPL/LGPL
Group:		System/Libraries
Url:		http://www.freetds.org/

Source0:	ftp://ftp.ibiblio.org/pub/Linux/ALPHA/freetds/current/%name-%version.tgz
Source1:	%name.sh
Source2:	%name.csh
Patch0:		%name-0.61-alt-warnings.patch

Prefix:		%prefix

# Automatically added by buildreq on Mon Feb 10 2003
BuildRequires: glibc-devel-static libncurses-devel libreadline-devel

%description
FreeTDS is a free (open source) implementation of Sybase's db-lib,
ct-lib, and ODBC libraries. Currently, dblib and ctlib are most mature.  Both
of these libraries have several programs know to compile and run against them.
ODBC is just a roughed in skeleton, and not useful for real work.

This package is built with support for TDS version %TDSVER.

%package -n lib%name
Summary:	An OpenSource implementation of the tubular data stream protocol. 
License:	GPL/LGPL
Group:		System/Libraries
Provides:	%name

%description -n lib%name
FreeTDS is a free (open source) implementation of Sybase's db-lib,
ct-lib, and ODBC libraries. Currently, dblib and ctlib are most mature.  Both
of these libraries have several programs know to compile and run against them.
ODBC is just a roughed in skeleton, and not useful for real work.

This package is built with support for TDS version %TDSVER.

%package -n lib%name-devel
Summary: 	An OpenSource implementation of the TDS protocol. Development files.
License:	GPL/LGPL
Group: 		Development/C
PreReq:		lib%name = %version-%release
Provides:	%name-devel

%description -n lib%name-devel
FreeTDS is a free (open source) implementation of Sybase's db-lib,
ct-lib, and ODBC libraries. The freetds-devel allows you to compile
applications with freetds libraries.

This package is built with support for TDS version %TDSVER.

%package -n lib%name-devel-static
Summary: 	An OpenSource implementation of the TDS protocol. Static libraries.
License:	GPL/LGPL
Group: 		Development/C
PreReq:		lib%name-devel = %version-%release
Provides:	%name-devel-static

%description -n lib%name-devel-static
FreeTDS is a free (open source) implementation of Sybase's db-lib,
ct-lib, and ODBC libraries. The freetds-devel allows you to compile
applications with freetds libraries. Package with static libraries.

This package is built with support for TDS version %TDSVER.


%package -n %name-utils
Summary:	An OpenSource implementation of the TDS protocol. Utilities.
License:	GPL/LGPL
Group:		Databases
PreReq:		lib%name = %version-%release
Provides:	%name-utils

%description -n %name-utils
FreeTDS is a free (open source) implementation of Sybase's db-lib,
ct-lib, and ODBC libraries. Currently, dblib and ctlib are most mature.  Both
of these libraries have several programs know to compile and run against them.
ODBC is just a roughed in skeleton, and not useful for real work.

This package is built with support for TDS version %TDSVER and contains some
useful utilities.


%prep

%setup -q
%patch0 -p1

%build
%configure \
    --sysconfdir=%_sysconfdir/%name \
    --with-tdsver=%TDSVER \
    --enable-threadsafe

%make_build

%install
make install DESTDIR=%buildroot

# Adjust package documentation
%__mkdir_p %buildroot/%_docdir/%name-%version
%__install -m 0644 AUTHORS BUGS ChangeLog INSTALL NEWS README TODO \
   %buildroot/%_docdir/%name-%version

%__mkdir_p %buildroot/%_docdir/%name-%version/samples
%__install -m 0644 samples/* %buildroot/%_docdir/%name-%version/samples
%__install -m 0644 doc/* %buildroot/%_docdir/%name-%version

pushd %buildroot/%_docdir/%name-%version
    tar -xvzf ./userguide.tgz
    rm -f userguide.tgz freebcp.1 tsql.1 Makefile.in Makefile.am
popd

%post -n lib%name
ldconfig

%postun -n lib%name
ldconfig


%files -n lib%name
%_libdir/*.so.*
%dir %_sysconfdir/%name
%config(noreplace) %_sysconfdir/%name/freetds.conf
%config(noreplace) %_sysconfdir/%name/locales.conf

%files -n lib%name-devel
%_includedir/*
%_libdir/*.so
%_libdir/*.la

%files -n lib%name-devel-static
%_libdir/*.a

%files -n %name-utils
%config(noreplace) %_sysconfdir/%name/pool.conf
%_bindir/freebcp
%_bindir/tdspool
%_bindir/tsql
%_mandir/man1/freebcp.1*
%_mandir/man1/tsql.1*
%dir %_docdir/%name-%version
%doc %_docdir/%name-%version/*

%changelog
* Wed Mar 05 2003 Dmitry Lebkov <dlebkov@altlinux.ru> 0.61-alt1
- new version of FreeTDS -- 0.61

* Wed Oct 09 2002 Dmitry Lebkov <dlebkov@altlinux.ru> 0.60-alt1
- new version of FreeTDS

* Thu Mar 26 2002 Dmitry Lebkov <dima@sakhalin.ru> 0.53-alt1
- Package for ALT Linux
